type: batch
github_project: open-telemetry/opentelemetry-collector

status:
  class: processor
  stability:
    beta: [ traces, metrics, logs ]
  distributions: [ core, contrib, k8s ]

tests:

telemetry:
  level: normal
  metrics:
    processor_batch_batch_size_trigger_send:
      enabled: true
      description: Number of times the batch was sent due to a size trigger
      unit: "{times}"
      sum:
        value_type: int
        monotonic: true
    processor_batch_timeout_trigger_send:
      enabled: true
      description: Number of times the batch was sent due to a timeout trigger
      unit: "{times}"
      sum:
        value_type: int
        monotonic: true
    processor_batch_batch_send_size:
      enabled: true
      description: Number of units in the batch
      unit: "{units}"
      histogram:
        value_type: int
        bucket_boundaries: [ 10, 25, 50, 75, 100, 250, 500, 750, 1000, 2000, 3000, 4000, 5000, 6000, 7000, 8000, 9000, 10000, 20000, 30000, 50000, 100000 ]
    processor_batch_batch_send_size_bytes:
      level: detailed
      enabled: true
      description: Number of bytes in batch that was sent
      unit: By
      histogram:
        value_type: int
        bucket_boundaries: [ 10, 25, 50, 75, 100, 250, 500, 750, 1000, 2000, 3000, 4000, 5000, 6000, 7000, 8000, 9000, 10000, 20000, 30000, 50000, 100_000, 200_000, 300_000, 400_000, 500_000, 600_000, 700_000, 800_000, 900_000, 1000_000, 2000_000, 3000_000, 4000_000, 5000_000, 6000_000, 7000_000, 8000_000, 9000_000 ]
    processor_batch_metadata_cardinality:
      enabled: true
      description: Number of distinct metadata value combinations being processed
      unit: "{combinations}"
      sum:
        value_type: int
        async: true
